ConnectionPropertiesImpl.LongConnectionProperty
Date: 2016-03-08

com.mysql.jdbc

## Class ConnectionPropertiesImpl.LongConnectionProperty

- java.lang.Object
- - com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty
  - - com.mysql.jdbc.ConnectionPropertiesImpl.IntegerConnectionProperty
    - - com.mysql.jdbc.ConnectionPropertiesImpl.LongConnectionProperty

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ConnectionPropertiesImpl

      public static class ConnectionPropertiesImpl.LongConnectionProperty
      extends ConnectionPropertiesImpl.IntegerConnectionProperty

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.IntegerConnectionProperty

      `multiplier`

    - ### Fields inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty

      `allowableValues, categoryName, defaultValue, description, lowerBound, order, propertyName, required, sinceVersion, updateCount, upperBound, valueAsObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPropertiesImpl.LongConnectionProperty(java.lang.String propertyNameToSet, long defaultValueToSet, long lowerBoundToSet, long upperBoundToSet, java.lang.String descriptionToSet, java.lang.String sinceVersionToSet, java.lang.String category, int orderInCategory)`
    `ConnectionPropertiesImpl.LongConnectionProperty(java.lang.String propertyNameToSet, long defaultValueToSet, java.lang.String descriptionToSet, java.lang.String sinceVersionToSet, java.lang.String category, int orderInCategory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) long` | `getValueAsLong()`
    `(package private) void` | `initializeFrom(java.lang.String extractedValue, ExceptionInterceptor exceptionInterceptor)`
    `(package private) void` | `setValue(long longValue, ExceptionInterceptor exceptionInterceptor)`
    `(package private) void` | `setValue(long longValue, java.lang.String valueAsString, ExceptionInterceptor exceptionInterceptor)`

    - ### Methods inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.IntegerConnectionProperty

      `getAllowableValues, getLowerBound, getUpperBound, getValueAsInt, hasValueConstraints, isRangeBased, setValue, setValue`

    - ### Methods inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty

      `getAsDriverPropertyInfo, getCategoryName, getDefaultValue, getOrder, getPropertyName, getUpdateCount, getValueAsObject, initializeFrom, initializeFrom, setCategoryName, setOrder, setValueAsObject, storeTo, validateStringValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionPropertiesImpl.LongConnectionProperty

          ConnectionPropertiesImpl.LongConnectionProperty(java.lang.String propertyNameToSet,
                                                         long defaultValueToSet,
                                                         long lowerBoundToSet,
                                                         long upperBoundToSet,
                                                         java.lang.String descriptionToSet,
                                                         java.lang.String sinceVersionToSet,
                                                         java.lang.String category,
                                                         int orderInCategory)

    - #### ConnectionPropertiesImpl.LongConnectionProperty

          ConnectionPropertiesImpl.LongConnectionProperty(java.lang.String propertyNameToSet,
                                                         long defaultValueToSet,
                                                         java.lang.String descriptionToSet,
                                                         java.lang.String sinceVersionToSet,
                                                         java.lang.String category,
                                                         int orderInCategory)

  - ### Method Detail

    - #### setValue

          void setValue(long longValue,
                      ExceptionInterceptor exceptionInterceptor)
                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setValue

          void setValue(long longValue,
                      java.lang.String valueAsString,
                      ExceptionInterceptor exceptionInterceptor)
                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getValueAsLong

          long getValueAsLong()

    - #### initializeFrom

          void initializeFrom(java.lang.String extractedValue,
                            ExceptionInterceptor exceptionInterceptor)
                        throws java.sql.SQLException

      Overrides:
        `initializeFrom` in class `ConnectionPropertiesImpl.IntegerConnectionProperty`
      Throws:
        `java.sql.SQLException`
      See Also:
        `com.mysql.jdbc.ConnectionProperties.ConnectionProperty#initializeFrom(java.lang.String)`